env:
  node: true
  commonjs: true
  es6: true
  mocha: true
extends: 'eslint:recommended'
parserOptions:
  sourceType: module
  ecmaVersion: 8
  ecmaFeatures:
    jsx: true
    experimentalObjectRestSpread: true
rules:
  indent:
    - error
    - 4
    - SwitchCase: 1
  curly:
    - error
    - all
  linebreak-style:
    - error
    - unix
  quotes:
    - error
    - single
  semi:
    - error
    - always
  no-console:
    - off
  no-unused-vars:
    - error
    - varsIgnorePattern: should|expect|have
  brace-style:
    - error
    - 1tbs